summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Pouria Rezaei <Pouria.rz@outlook.com>2024-06-28 18:54:25 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-06-28 22:43:52 +0700
commit8dedfcef827e36300218bd9aeb37afb9823368d6 (patch)
tree5e55d4a49323e0d2d64a444eb688974a7f6b7732
parent928c9ce98e46ecf89ee11656b6513f83ce42e77d (diff)
downloadslackbuilds-8dedfcef827e36300218bd9aeb37afb9823368d6.tar.gz
slackbuilds-8dedfcef827e36300218bd9aeb37afb9823368d6.tar.xz
libraries/librapidcheck: Added (QuickCheck clone for C++).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/librapidcheck/README8
-rw-r--r--libraries/librapidcheck/librapidcheck.SlackBuild105
-rw-r--r--libraries/librapidcheck/librapidcheck.info10
-rw-r--r--libraries/librapidcheck/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/libraries/librapidcheck/README b/libraries/librapidcheck/README
new file mode 100644
index 0000000000..bc64383783
--- /dev/null
+++ b/libraries/librapidcheck/README
@@ -0,0 +1,8 @@
+RapidCheck is a C++ framework for property based testing inspired
+by QuickCheck. In this testing, you define properties your code
+should always satisfy given certain conditions. RapidCheck
+generates random test data to find cases where the property fails.
+If it finds a failure, it minimizes the input to the smallest
+failing case and displays it as a counterexample.
+
+By !red
diff --git a/libraries/librapidcheck/librapidcheck.SlackBuild b/libraries/librapidcheck/librapidcheck.SlackBuild
new file mode 100644
index 0000000000..c1dcf84582
--- /dev/null
+++ b/libraries/librapidcheck/librapidcheck.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/bash
+
+# Slackware build script for librapidcheck
+
+# Copyright 2019-2024 Pouria Rezaei <Pouria.rz@outlook.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=librapidcheck
+VERSION=${VERSION:-r1056.ff6af6f}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ];then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DRC_ENABLE_EXAMPLES=Off \
+ -DRC_ENABLE_TESTS=Off \
+ -DRC_INSTALL_ALL_EXTRAS=O \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_POSITION_INDEPENDENT_CODE=True \
+ -DBUILD_SHARED_LIBS=On \
+ -DCMAKE_BUILD_TYPE=Release \
+ $SHAREDLIBS \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG/usr/lib${LIBDIRSUFFIX} -name '*.la' -delete
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md LICENSE.md $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/librapidcheck/librapidcheck.info b/libraries/librapidcheck/librapidcheck.info
new file mode 100644
index 0000000000..7e3b5404c4
--- /dev/null
+++ b/libraries/librapidcheck/librapidcheck.info
@@ -0,0 +1,10 @@
+PRGNAM="librapidcheck"
+VERSION="r1056.ff6af6f"
+HOMEPAGE="https://github.com/emil-e/rapidcheck"
+DOWNLOAD="https://github.com/RSKYS/librapidcheck/archive/r1056.ff6af6f/librapidcheck-r1056.ff6af6f.tar.gz"
+MD5SUM="5cb2bacceabfc8178566526b55339cb8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Pouria Rezaei"
+EMAIL="Pouria.rz@outlook.com"
diff --git a/libraries/librapidcheck/slack-desc b/libraries/librapidcheck/slack-desc
new file mode 100644
index 0000000000..147a0eea8f
--- /dev/null
+++ b/libraries/librapidcheck/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+librapidcheck: librapidcheck (QuickCheck clone for C++)
+librapidcheck:
+librapidcheck: RapidCheck is a C++ framework for property based testing inspired
+librapidcheck: by QuickCheck. In this testing, you define properties your code
+librapidcheck: should always satisfy given certain conditions. RapidCheck
+librapidcheck: generates random test data to find cases where the property fails.
+librapidcheck: If it finds a failure, it minimizes the input to the smallest
+librapidcheck: failing case and displays it as a counterexample.
+librapidcheck:
+librapidcheck: Homepage: https://github.com/emil-e/rapidcheck
+librapidcheck: